MUMBLE-SERVER-CLI(1)

NAME
mumble-server-cli - allows calling methods of mumble-server from the shell

SYNOPSIS
mumble-server-cli [options] [<method name>] [<method arguments>]

DESCRIPTION
Each method argument has the form: [<data type: bool|int|float|string>:]value

If you do not specify a data type, string will be assumed, otherwise `value' will be converted to the given type first. The bool conversion interprets each of 'True', 'true', '1', 'Yes', 'yes' as True, everything else as False.

    Example: int:4 float:3.5 string:oh:hai foobar bool:yes

OPTIONS

-h, --help
    show this help message and exit

-d DJANGO_SETTINGS, --django-settings=DJANGO_SETTINGS
    if specified, get connstring and slice defaults from the given Django settings module. Default: empty.

-c CONNSTRING, --connstring=CONNSTRING
    connection string to use. Default is 'Meta:tcp -h 127.0.0.1 -p 6502'.

-s SLICE, --slice=SLICE
    path to the slice file. Default is '/usr/share/slice/Murmur.ice'.

-e ENCODING, --encoding=ENCODING
    Character set arguments are encoded in. Default: Read from LANG env variable with fallback to UTF-8.

-v, --verbose
    Show verbose messages on stderr

SEE ALSO
The full documentation for mumble-server-cli is maintained as a Texinfo manual. If the info and mumble-server-cli programs are properly installed at your site, the command

    info mumble-server-cli

should give you access to the complete manual.

AUTHOR
Mumble-Django and mumble-server-cli have been written by Michael Ziegler <diese-addy@funzt-halt.net>.